\documentclass{standalone}
\usepackage{tikz}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\clip(-1.25,-1.25) rectangle (1.25,1.25);
\draw [line width=1.5pt] (0,0) circle (1cm);
\draw [line width=1.5pt] (-1,0)-- (1,0);
\draw (-0.7,-0.35) node[anchor=north west] {$(\mathcal{C})$};
\begin{scriptsize}
\draw [fill=black] (-1,0) circle (0.5pt);
\draw[color=black] (-1.15,0.2) node {$A$};
\draw [fill=black] (1,0) circle (0.5pt);
\draw[color=black] (1.15,0.2) node {$B$};
\draw [color=black] (0,0)-- ++(-2.5pt,0 pt) -- ++(5pt,0 pt) ++(-2.5pt,-2.5pt) -- ++(0 pt,5pt);
\draw[color=black] (0.135,0.2175) node {$O$};
\end{scriptsize}
\end{tikzpicture}
\end{document}